#!/bin/sh

export SYSROOT="/android-arm/sysroot"
export CPPFLAGS="-I/deps/android-arm/include"
#soft float actually turns on hard float as far as we know, so a 4X performance difference.
export CFLAGS="${CFLAGS} -DANDROID -mandroid -fomit-frame-pointer --sysroot=${SYSROOT} -I${SYSROOT}/usr/include/ -I/deps/android-arm/include -fPIE -fPIC -mfloat-abi=softfp"
export CC="${CC_ANDROID_ARM}"
export CXX="${CXX_ANDROID_ARM}"
export PATH=/android-arm/bin:/deps/android-arm/bin:${PATH}
export LDFLAGS="-L/deps/android-arm/lib"
export PKG_CONFIG_PATH=/deps/android-arm/lib/pkgconfig
