#!/bin/sh

# note, libname is full lib name, i.e. "lib<name>"
libname=$1
lib=${libname#lib}  # remove "lib" prefix (if exists)

if [ "$2" != "" ]; then
    file="${PKG_CONFIG_PATH}/${2}.pc"
else
    file="${PKG_CONFIG_PATH}/${libname}.pc"
	if [ ! -f ${file} ]; then
	    file="${PKG_CONFIG_PATH}/${lib}.pc"  # alternate file formate
	fi
fi

if [ ! -f $file ]; then
    exit 1
fi

libsuffix="_restsdk"

sed -i -e "s/-l${lib}/-l${lib}${libsuffix}/" ${file}
